List importable Unix users
GET
/auth/users/importable
const url = 'https://sylve.lan:8181/api/auth/users/importable';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/auth/users/importable \ --header 'Authorization: <Authorization>'List eligible Unix accounts that do not yet have a Sylve user record
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
fullName
string
gid
integer
homeDirectory
string
shell
string
uid
integer
username
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "fullName": "example", "gid": 1, "homeDirectory": "example", "shell": "example", "uid": 1, "username": "example" } ], "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Service Unavailable
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}